Qsupplier.App.ListsIndexController = Ember.ArrayController.extend
  loading: true
  dateChanged: (->
    @set 'loading', true
    lists = if @get('date') then @store.find('list', date: @get('date')) else @store.find('list')
    lists.then => @set('loading', false)
    @set 'model', lists
  ).observes('date')
  lists: (-> @get('model')).property('model')
